/// <reference path="../node_modules/angular2/typings/browser.d.ts" />
import { AfterViewChecked, ElementRef } from 'angular2/core';
import { Http } from 'angular2/http';
export declare class CodeblockComponent implements AfterViewChecked {
    private _elementRef;
    private _http;
    prompt: string;
    output: string;
    constructor(_elementRef: ElementRef, _http: Http);
    ngAfterViewChecked(): void;
    lineNumbers: boolean;
    language: string;
    theme: string;
    static THEMES: string[];
    DEFAULT_THEME: string;
    DEFAULT_SHELL_THEME: string;
    src: string;
    static EXTENSION_MAP: {
        'js': string;
        'ts': string;
        'html': string;
        'svg': string;
        'xml': string;
        'md': string;
        'py': string;
        'rb': string;
        'ps1': string;
        'psm1': string;
    };
    shell: string;
    languageClass: string;
    lineNumbersClass: string;
    shellClass: string;
    codeClasses: string;
    preClasses: string;
    _language: string;
    _languageSet: boolean;
    _highlighted: boolean;
    _lineNumbers: boolean;
    _theme: string;
    _changed: boolean;
    _shell: boolean;
    _el: any;
    _code: any;
    _pre: any;
    _highlight(): void;
    _empty(): void;
    _processMarkup(text: any): any;
    _fetchSource(source: any, fileLanguage: any): void;
    _fixPromptOutputPadding(): void;
    _getStyle(oElm: any, strCssRule: any): string;
}
